/*
    Dobrovodny priklad k bakalarske praci Vyvoj webovych aplikaci pomoci
    frameworku JavaServer Faces.
    Copyright © 2009 David Hanel.
*/

package priklady;

import javax.faces.model.SelectItem;

public class Uzivatel {
    enum RodinnyStav {SVOBOBNYxSVOBODNA, ZENATYxVDANY, ROZVEDENYxROZVEDENA, VDOVAxVDOVEC};

    private String jmeno;
    private int heslo;
    private String vlastnosti;
    private boolean dostavatEmaily;
    private String[] oblibeneSporty;
    private String oblibenaBarva;
    private RodinnyStav rodinnyStav;

    public boolean isDostavatEmaily() {
        return dostavatEmaily;
    }

    public void setDostavatEmaily(boolean dostavatEmaily) {
        this.dostavatEmaily = dostavatEmaily;
    }

    public void setHeslo(int heslo) {
        this.heslo = heslo;
    }

    public void setJmeno(String jmeno) {
        this.jmeno = jmeno;
    }

    public void setOblibenaBarva(String oblibenaBarva) {
        this.oblibenaBarva = oblibenaBarva;
    }

    public void setOblibeneSporty(String[] oblibeneSporty) {
        this.oblibeneSporty = oblibeneSporty;
    }

    public void setRodinnyStav(RodinnyStav rodinnyStav) {
        this.rodinnyStav = rodinnyStav;
    }

    public void setVlastnosti(String vlastnosti) {
        this.vlastnosti = vlastnosti;
    }

    public int getHeslo() {
        return heslo;
    }

    public String getJmeno() {
        return jmeno;
    }

    public String getOblibenaBarva() {
        return oblibenaBarva;
    }

    public String[] getOblibeneSporty() {
        return oblibeneSporty;
    }

    public SelectItem[] getPolozkyRodinnyStav() {
        return polozkyRodinnyStav;
    }

    public SelectItem[] getPolozkySporty() {
        return polozkySporty;
    }

    public RodinnyStav getRodinnyStav() {
        return rodinnyStav;
    }

    public String getVlastnosti() {
        return vlastnosti;
    }

    public String getVypisSportu() {
        return vytvorVypis(oblibeneSporty);
    }

    private String vytvorVypis(Object[] hodnoty) {
        if (hodnoty == null) {
            return null;
        }
        StringBuffer sb = new StringBuffer();
        for (Object hodnota : hodnoty) {
            if (sb.length() > 0) {
                sb.append(", ");
            }
            sb.append(hodnota.toString());
        }
        return sb.toString();
    }
    
    private SelectItem[] polozkySporty = {
        new SelectItem("Fotbal"),
        new SelectItem("Hokej"),
        new SelectItem("Basketbal"),
        new SelectItem("Hazená"),
        new SelectItem("Box")
    };

    private SelectItem[] polozkyRodinnyStav = {
        new SelectItem(RodinnyStav.ROZVEDENYxROZVEDENA, "Rozvedený/á"),
        new SelectItem(RodinnyStav.SVOBOBNYxSVOBODNA, "Svobodný/á"),
        new SelectItem(RodinnyStav.VDOVAxVDOVEC, "Vdovec/Vdova"),
        new SelectItem(RodinnyStav.ZENATYxVDANY, "Ženatý/Vdaná"),
    };
}
