<%--
    Dobrovodny priklad k bakalarske praci Vyvoj webovych aplikaci pomoci
    frameworku JavaServer Faces.
    Copyright © 2009 David Hanel.
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<f:view>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
            <title>Příklad 7.1 | Vývoj webových aplikací pomocí frameworku JavaServer Faces</title>
        </head>
        <body>
            <h1><h:outputText value="Nová transakce"/></h1>
            <h:form>
                <h:selectOneMenu value="#{transakce.mena}" onchange="submit()"
                                 immediate="true" valueChangeListener="#{transakce.zmenaMeny}">
                    <f:selectItems value="#{transakce.meny}"/>
                </h:selectOneMenu><br/>
               Stav vašeho účtu:
                <h:outputText value="#{transakce.stavUctu}">
                    <f:convertNumber minFractionDigits="2" maxFractionDigits="2" type="currency"/>
                </h:outputText><br/><br/>
                <h:panelGrid columns="2">
                    <h:outputText value="Částka: "/>
                    <h:panelGroup>
                        <h:inputText id="castka" label="Částka" value="#{transakce.castka}" required="true"
                                     converterMessage="Zadejte číslo s maximálně dvěmi desetinnými místy."
                                     validatorMessage="Zadejte kladné číslo menší nebo rovno vašemu stavu účtu."
                                     requiredMessage="Toto pole je povinné.">
                            <f:convertNumber maxFractionDigits="2"/>
                            <f:validateDoubleRange minimum="0" maximum="#{transakce.stavUctu}"/>
                        </h:inputText>&nbsp;
                        <h:message for="castka" style="color:red"/>
                    </h:panelGroup>

                    <h:outputText value="Účet příjemce: "/>
                    <h:panelGroup>
                        <h:inputText id="ucet" label="Účet" value="#{transakce.ucetPrijemce}" required="true"
                                     validatorMessage="Zadejte 14timístný řetězec."
                                     requiredMessage="Toto pole je povinné.">
                            <f:validateLength minimum="14" maximum="14"/>
                        </h:inputText>&nbsp;
                        <h:message for="ucet" style="color:red"/>
                    </h:panelGroup>

                    <h:outputText value="Zpráva pro příjemce: "/>
                    <h:panelGroup>
                        <h:inputTextarea id="zprava" label="Zpráva" value="#{transakce.zpravaProPrijemce}"
                                         validatorMessage="Zpráva může obsahovat maximálně 180 znaků.">
                            <f:validateLength maximum="180"/>
                        </h:inputTextarea>&nbsp;
                        <h:message for="zprava" style="color:red"/>
                    </h:panelGroup>
                </h:panelGrid>
                <h:commandButton value="Potvrdit" action="success"
                                 actionListener="#{transakce.transakcePotvrzena}"/>&nbsp;
                <h:commandButton value="Zrušit" action="cancel" immediate="true"/>
            </h:form>
        </body>
    </html>
</f:view>
